body {
    font-family: 'Poppins', sans-serif;
}

h1 {
    font-size: 3rem;
    color: rgb(43, 35, 43);
}

.hero {
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url('../images/HeroImage1.jpg');
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
    width: 100%;
    height: 100vh;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    background-color: #f8f8f8;
}

.menu {
    display: flex;
    gap: 25px;
}

li {
    list-style: none;
}

.menu li a {
    color: #0a9e99;
    font-size: 1.15rem;
    text-decoration: none;
}

.menu li a:hover {
    color: magenta;
}

.gallery {
    width: 100%;
    padding: 1rem;
}

.row {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.thumbnail {
    flex: 1 1 calc(33.333% - 2rem);
    height: 300px;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    color: white;
    padding: 0.5rem;
    box-sizing: border-box;
}

.thumbnail p {
    background-color: rgba(0, 0, 0, 0.5);
    padding: 0.5rem;
    margin: 0;
}

#img1 {
    background-image: url('../images/GalleryImage_1.jpg');
}

#img2 {
    background-image: url('../images/GalleryImage_2.jpg');
}

#img3 {
    background-image: url('../images/GalleryImage_3.jpg');
}

#img4 {
    background-image: url('../images/GalleryImage_4.jpg');
}

#img5 {
    background-image: url('../images/GalleryImage_5.jpg');
}

#img6 {
    background-image: url('../images/GalleryImage_6.jpg');
}

#img7 {
    background-image: url('../images/GalleryImage_7.jpg');
}

#img8 {
    background-image: url('../images/GalleryImage_8.jpg');
}

#img9 {
    background-image: url('../images/GalleryImage_9.jpg');
}

#img10 {
    background-image: url('../images/GalleryImage_10.jpg');
}

#img11 {
    background-image: url('../images/GallleryImage_11.jpg');
}

#img12 {
    background-image: url('../images/GalleryImage_12.jpg');
}

@media (max-width: 768px) {
    .thumbnail {
        flex: 1 1 calc(50% - 1rem);
    }
}

@media (max-width: 480px) {
    .thumbnail {
        flex: 1 1 100%;
    }
}
